| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ResourceLimitedContainerConfig Struct Reference
eProsima Fast DDS API Reference » Shared Utilities

Specifies the configuration of a resource limited collection. More...

`#include <ResourceLimitedContainerConfig.hpp>`

## Public Member Functions

| ResourceLimitedContainerConfig (size_t ini=0, size_t max=std::numeric_limits< size_t >::max dummy_avoid_winmax(), size_t inc=1u)

## Static Public Member Functions

static ResourceLimitedContainerConfig | fixed_size_configuration (size_t size)
| Return a resource limits configuration for a fixed size collection.
static ResourceLimitedContainerConfig | dynamic_allocation_configuration (size_t increment=1u)
| Return a resource limits configuration for a linearly growing, dynamically allocated collection.

## Public Attributes

size_t | initial = 0
| Number of elements to be preallocated in the collection.
size_t | maximum = std::numeric_limits<size_t>::max dummy_avoid_winmax ()
| Maximum number of elements allowed in the collection.
size_t | increment = 1u
| Number of items to add when capacity limit is reached.

## Detailed Description

Specifies the configuration of a resource limited collection.

## Constructor & Destructor Documentation

## ◆ ResourceLimitedContainerConfig()

ResourceLimitedContainerConfig | ( | size_t | ini = 0,
|  | size_t | max = std::numeric_limits<size_t>::max dummy_avoid_winmax (),
|  | size_t | inc = 1u )

inline

## Member Function Documentation

## ◆ dynamic_allocation_configuration()

ResourceLimitedContainerConfig dynamic_allocation_configuration | ( | size_t | increment = 1u | ) |

inline static

Return a resource limits configuration for a linearly growing, dynamically allocated collection.

Parameters

  increment | Number of new elements to allocate when increasing the capacity of the collection.

Returns
  Resource limits configuration.

## ◆ fixed_size_configuration()

ResourceLimitedContainerConfig fixed_size_configuration | ( | size_t | size | ) |

inline static

Return a resource limits configuration for a fixed size collection.

Parameters

  size | Number of elements to allocate.

Returns
  Resource limits configuration.

## Member Data Documentation

## ◆ increment

size_t increment = 1u

Number of items to add when capacity limit is reached.

## ◆ initial

size_t initial = 0

Number of elements to be preallocated in the collection.

## ◆ maximum

size_t maximum = std::numeric_limits<size_t>::max dummy_avoid_winmax ()

Maximum number of elements allowed in the collection.

The documentation for this struct was generated from the following file:

- include/fastdds/utils/collections/ResourceLimitedContainerConfig.hpp